Retrieve Order Claims
curl --request GET \
--url https://api.production.orderprotection.com/v1/orders/{sourceOrderId}/claims \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.production.orderprotection.com/v1/orders/{sourceOrderId}/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.production.orderprotection.com/v1/orders/{sourceOrderId}/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"claimFiledFrom": "EXTERNAL",
"id": "cm0b57zjv00myq52xh0c590b8",
"customerId": "customer_123",
"storeId": "teststore2",
"orderId": "order_77",
"sourceOrderId": "llhVsSDgn",
"sourceOrderNumber": "xtwCvToLXq",
"authorName": "Desiree Ward II",
"authorEmail": "Garrison_Wehner88@gmail.com",
"claimDescription": "Cito substantia dignissimos. Adhuc quibusdam capio odio aiunt ante stillicidium aegre. Deorsum cognomen thymbra umquam theca sodalitas.",
"resolutionRequested": "RESHIP",
"resolutionDate": "2024-08-26T15:18:28.795Z",
"claimState": "APPROVED",
"claimType": "DAMAGED",
"isOta": true,
"otaDescription": "Pellentesque habitant morbi tristique senectus",
"externalSource": "api",
"policyId": "policy_77",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"claimItems": [
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"itemId": "item_77",
"quantity": 1,
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null
}
],
"claimMessages": [
{
"senderType": "customer",
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"message": "Dolorum quidem quod. Deorsum cognomen thymbra umquam theca sodalitas.",
"authorName": "Desiree Ward II",
"medias": []
},
{
"senderType": "brand",
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"message": "We are sorry for the inconvenience. We will process your refund as soon as possible.",
"authorName": "Sarah",
"medias": []
}
],
"claimResolutions": [
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"userId": "user_77",
"resolutionType": "STORE_CREDIT",
"resolutionDetails": "Dolorum quidem quod. Deorsum cognomen thymbra umquam theca sodalitas.",
"paidValue": 100,
"paidCurrency": "USD",
"paidOriginalValue": 100,
"includeShipping": true,
"shippingAmount": 100,
"creditStore": true,
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null
}
],
"claimStoreCredits": [
{
"code": "cm0b57zjv00myq52xh0c590b8",
"emailStatus": "SENT",
"emailTime": "2024-08-26T15:18:28.795Z",
"creditValue": 100,
"bonusValue": 0,
"totalValue": 100,
"bonus": 0,
"bonusType": "NONE",
"creditCurrency": "USD",
"exchangeRate": 1,
"claimId": "cm0b57zjv00myq52xh0c590b8",
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null
}
],
"claimDocuments": [
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"url": "https://storage.cloud.google.com/image.png",
"documentType": "SIGNATURE",
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": "2024-08-26T15:18:28.795Z"
}
],
"policy": {
"id": "policy_77",
"customerAmount": 123,
"brandAmount": 123,
"insuredAmount": 123,
"premiumPaid": 123,
"premiumDiscountedAmount": 123,
"premiumCurrency": "USD",
"fundedBy": "customer",
"claim": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"removedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"viewClaimUrl": "https://claim.orderprotection.com/view/cm0b57zjv00myq52xh0c590b8"
}
]Claims
Get Claims By Order
GET
/
v1
/
orders
/
{sourceOrderId}
/
claims
Retrieve Order Claims
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Example:
"EXTERNAL"
Example:
"cm0b57zjv00myq52xh0c590b8"
Example:
"customer_123"
Example:
"teststore2"
Example:
"order_77"
Example:
"llhVsSDgn"
Example:
"xtwCvToLXq"
Example:
"Desiree Ward II"
Example:
"Garrison_Wehner88@gmail.com"
Example:
"Cito substantia dignissimos. Adhuc quibusdam capio odio aiunt ante stillicidium aegre. Deorsum cognomen thymbra umquam theca sodalitas."
Example:
"RESHIP"
Example:
"2024-08-26T15:18:28.795Z"
Example:
"APPROVED"
Example:
"DAMAGED"
Example:
"Pellentesque habitant morbi tristique senectus"
Example:
"api"
Example:
"policy_77"
Example:
[
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"itemId": "item_77",
"quantity": 1,
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null
}
]
Show child attributes
Show child attributes
Example:
[
{
"senderType": "customer",
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"message": "Dolorum quidem quod. Deorsum cognomen thymbra umquam theca sodalitas.",
"authorName": "Desiree Ward II",
"medias": []
},
{
"senderType": "brand",
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"message": "We are sorry for the inconvenience. We will process your refund as soon as possible.",
"authorName": "Sarah",
"medias": []
}
]
Show child attributes
Show child attributes
Example:
[
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"userId": "user_77",
"resolutionType": "STORE_CREDIT",
"resolutionDetails": "Dolorum quidem quod. Deorsum cognomen thymbra umquam theca sodalitas.",
"paidValue": 100,
"paidCurrency": "USD",
"paidOriginalValue": 100,
"includeShipping": true,
"shippingAmount": 100,
"creditStore": true,
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null
}
]
Show child attributes
Show child attributes
Example:
[
{
"code": "cm0b57zjv00myq52xh0c590b8",
"emailStatus": "SENT",
"emailTime": "2024-08-26T15:18:28.795Z",
"creditValue": 100,
"bonusValue": 0,
"totalValue": 100,
"bonus": 0,
"bonusType": "NONE",
"creditCurrency": "USD",
"exchangeRate": 1,
"claimId": "cm0b57zjv00myq52xh0c590b8",
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null
}
]
Show child attributes
Show child attributes
Example:
[
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"url": "https://storage.cloud.google.com/image.png",
"documentType": "SIGNATURE",
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": "2024-08-26T15:18:28.795Z"
}
]
Show child attributes
Show child attributes
Example:
"https://claim.orderprotection.com/view/cm0b57zjv00myq52xh0c590b8"
⌘I

